<div class="row">
	<div class="row">
		<div class="col-lg-12">
			<div class="ibox">
				<div class="ibox-content ajax-respaldos-content">
					
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-6">
			<div class="ibox">
				<div class="ibox-title">
					<h5>Hacer un respaldo</h5>
				</div>
				<div class="ibox-content text-center">
					<button type="button" class="btn btn-primary btn-lg m-t-lg m-b-lg" id="generate">Crear un respaldo</button>
				</div>
			</div>
		</div>
		<div class="col-md-6">
			<div class="ibox">
				<div class="ibox-title">
					<h5>Restaurar un respaldo</h5>
				</div>
				<div class="ibox-content text-center">
					<div class="form-group">
						<input id="file-4" name="file-4" type="file" multiple="false" class="file-loading">
					</div>
				</div>
			</div>
		</div>
	</div>	
</div>
<script>
$(function(){
	$("#generate").on("click",function(){
		$.get('<?php echo base_url();?>administracion/generate_backup')
		.done(function(data){                
			toastr.options = {
			  "closeButton": true,
			  "progressBar": true,
			  "positionClass": "toast-top-right"
			}
			toastr.success('Respaldo <b>'+data+'</b> generado exitosamente');
			$.get('<?php echo base_url();?>administracion/respaldos_info')
			.done(function(data){                
				$('.ajax-respaldos-content').html(data);
			});
		});
	});
});

$.get('<?php echo base_url();?>administracion/respaldos_info')
.done(function(data){                
	$('.ajax-respaldos-content').html(data);
});

$("#file-4").fileinput({
	language: 'es',
	allowedFileExtensions: ["v1-5-0.sql"],
	maxFileCount: 1,
	uploadUrl: "<?php echo base_url();?>administracion/upload_respaldo"
}).on("fileuploaded",function(event,data){
	swal({
		confirmButtonText: 'Reemplazar Base de Datos',
		cancelButtonText: 'No reemplazar nada',
		type: 'warning',
		title: 'uProd - BackUps',
		text: '&iquest;Desea realmente reemplazar la Base de Datos actual por este nuevo fichero <b>'+data.response.split('/').pop()+'</b>?<br>Perdera toda la informacion en los registros actuales y seran reemplazados por estos',
		html: true,
		confirmButtonColor: '#3C8DBC',
		allowOutsideClick: false,
		allowEscapeClick: false,
		showCancelButton: true
	},
	function(isConfirm) {
		if(isConfirm){
			var zebraBU = new $.Zebra_Dialog('Restaurando Base de Datos... Favor espere el mensaje de confirmacion', {
				'buttons':  false,
				'type':'warning',
				'overlay_opacity':0.7,
				'overlay_close':false,
				'show_close_button':false,
				'animation_speed_show':500,
				'animation_speed_hide':500,
				'keyboard':false
			});
			$.post('<?php echo base_url();?>administracion/replace_database', { backup: data.response})
			.done(function() {
				zebraBU.close();
				new $.Zebra_Dialog('Base de Datos restaurada con exito, se reiniciara el Sistema para completar el proceso', {
					'buttons':  false,
					'type':'confirmation',
					'overlay_close':false,
					'overlay_opacity':1,
					'show_close_button':false,
					'animation_speed_show':500,
					'animation_speed_hide':500,
					'keyboard':false
				});
				setTimeout(function(){
					window.location.href = '<?php echo base_url();?>';
				}, 5000);
			});
		}else{
			
		}
	});
});
</script>